### Hierarchy

- IEmitter
  - IPageService

### Implemented by

- Page

## Index

### Properties

- Content
- EVENT_ACCESS_UPDATED
- EVENT_DECRYPTED
- EVENT_ERROR
- EVENT_NEW_CONTENT
- EVENT_NEW_CONTENT_DELTA
- EVENT_NEW_META
- EVENT_RANGES_UPDATED
- EVENT_READY
- Ranges
- TYPE_ALERT
- TYPE_DOMAIN_USAGE_REPORT
- TYPE_GLOBAL_USAGE_REPORT
- TYPE_LIVE_USAGE_REPORT
- TYPE_PAGE_ACCESS_REPORT
- TYPE_PAGE_UPDATE_REPORT
- TYPE_PDF
- TYPE_REGULAR
- access
- canEdit
- clone
- copy
- data
- decrypt
- decrypted
- destroy
- emit
- encryptionKeyPull
- encryptionKeyPush
- off
- on
- push
- ready
- register
- saveMeta
- start
- stop
- types
- unRegister
- updatesOn

### Methods

- removeEvent
- removeEvents

## Properties

### Content

Content: IPageContentProvider

- Defined in Page/Page.ts:207

### EVENT_ACCESS_UPDATED

EVENT_ACCESS_UPDATED: string

- Defined in Page/Page.ts:193

### EVENT_DECRYPTED

EVENT_DECRYPTED: string

- Defined in Page/Page.ts:194

### EVENT_ERROR

EVENT_ERROR: string

- Defined in Page/Page.ts:195

### EVENT_NEW_CONTENT

EVENT_NEW_CONTENT: string

- Defined in Page/Page.ts:189

### EVENT_NEW_CONTENT_DELTA

EVENT_NEW_CONTENT_DELTA: string

- Defined in Page/Page.ts:190

### EVENT_NEW_META

EVENT_NEW_META: string

- Defined in Page/Page.ts:191

### EVENT_RANGES_UPDATED

EVENT_RANGES_UPDATED: string

- Defined in Page/Page.ts:192

### EVENT_READY

EVENT_READY: string

- Defined in Page/Page.ts:188

### Ranges

Ranges: IPageRangesCollection

- Defined in Page/Page.ts:208

### TYPE_ALERT

TYPE_ALERT: number

- Defined in Page/Page.ts:180

### TYPE_DOMAIN_USAGE_REPORT

TYPE_DOMAIN_USAGE_REPORT: number

- Defined in Page/Page.ts:183

### TYPE_GLOBAL_USAGE_REPORT

TYPE_GLOBAL_USAGE_REPORT: number

- Defined in Page/Page.ts:184

### TYPE_LIVE_USAGE_REPORT

TYPE_LIVE_USAGE_REPORT: number

- Defined in Page/Page.ts:186

### TYPE_PAGE_ACCESS_REPORT

TYPE_PAGE_ACCESS_REPORT: number

- Defined in Page/Page.ts:182

### TYPE_PAGE_UPDATE_REPORT

TYPE_PAGE_UPDATE_REPORT: number

- Defined in Page/Page.ts:185

### TYPE_PDF

TYPE_PDF: number

- Defined in Page/Page.ts:181

### TYPE_REGULAR

TYPE_REGULAR: number

- Defined in Page/Page.ts:179

### access

access: IUserPageAccess

- Defined in Page/Page.ts:206

### canEdit

canEdit: function

- Defined in Page/Page.ts:218

#### Type declaration

- - (): boolean

  - #### Returns boolean

### clone

clone: function

- Defined in Page/Page.ts:216

#### Type declaration

- - (folderId: number, name: string, options?: IPageCloneOptions): Promise<IPageService>

  - #### Parameters

    - ##### folderId: number

    - ##### name: string

    - ##### Optional options: IPageCloneOptions

    #### Returns Promise<IPageService>

### copy

copy: function

- Defined in Page/Page.ts:217

#### Type declaration

- - (folderId: number, name: string, options?: IPageCopyOptions): Promise<IPageService>

  - #### Parameters

    - ##### folderId: number

    - ##### name: string

    - ##### Optional options: IPageCopyOptions

    #### Returns Promise<IPageService>

### data

data: IPage

- Defined in Page/Page.ts:205

### decrypt

decrypt: function

- Defined in Page/Page.ts:215

#### Type declaration

- - (key: IEncryptionKey): void

  - #### Parameters

    - ##### key: IEncryptionKey

    #### Returns void

### decrypted

decrypted: boolean

- Defined in Page/Page.ts:198

### destroy

destroy: function

- Defined in Page/Page.ts:214

#### Type declaration

- - (): void

  - #### Returns void

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### encryptionKeyPull

encryptionKeyPull: IEncryptionKey

- Defined in Page/Page.ts:202

### encryptionKeyPush

encryptionKeyPush: IEncryptionKey

- Defined in Page/Page.ts:203

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### push

push: function

- Defined in Page/Page.ts:212

#### Type declaration

- - (forceFull?: undefined | false | true): Promise<any>

  - #### Parameters

    - ##### Optional forceFull: undefined | false | true

    #### Returns Promise<any>

### ready

ready: boolean

- Defined in Page/Page.ts:197

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### saveMeta

saveMeta: function

- Defined in Page/Page.ts:213

#### Type declaration

- - (data: any): Promise<any>

  - #### Parameters

    - ##### data: any

    #### Returns Promise<any>

### start

start: function

- Defined in Page/Page.ts:210

#### Type declaration

- - (): void

  - #### Returns void

### stop

stop: function

- Defined in Page/Page.ts:211

#### Type declaration

- - (): void

  - #### Returns void

### types

types: IPageTypes

- Defined in Page/Page.ts:200

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### updatesOn

updatesOn: boolean

- Defined in Page/Page.ts:199

## Methods

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

Generated using TypeDoc